[WMDE-Fundraising] Browser tests for system-level tests
Closed, ResolvedPublic20 Story Points

Description

Most can be re-used.

Existing browser test can be found at https://github.com/wmde/fundraising-browsertests

Tobi_WMDE_SW updated the task description. (Show Details)
Tobi_WMDE_SW raised the priority of this task from to Normal.
Tobi_WMDE_SW set Security to None.
Tobi_WMDE_SW edited a custom field.
Tobi_WMDE_SW added subscribers: Aklapper, Tobi_WMDE_SW.
gabriel-wmde updated the task description. (Show Details)Mar 14 2016, 3:32 PM

Can be broken down into

  • Asses which browser tests cover which use cases
  • Run each browser test with the new URL to check if it still passes
  • Add missing tests

Are these tests currently being run automatically anywhere? Are they maintained and all passing for the old app? Who is responsible for updating them, and when does that happen?

Is it likely to be hard to modify the tests to work with the new app due to the fronted changes we made?

As we have a lot of edge-to-edge tests in the new app anyway, browser tests don't seem that critical. Though it would still be nice to have a few testing the most important things. Creating and maintaing them and the infrastructure they run on might be a lot of work tho...

gabriel-wmde moved this task from Backlog to Doing on the WMDE-Fun-Team board.Jan 20 2017, 3:47 PM

To answer the questions of @JeroenDeDauw:

They aren't run automatically at the moment.
For the old app they were passing, but that's moot since we'll kill the old app.
We (the FUN team) are responsible for the tests. I'd suggest we update the tests and add new ones when there is a new feature.
Most of the tests ran well with the new application. Updating the tests was mostly about, add new defaults (the old application had an amount default) and changing some CSS selectors or adding classes to templates to restore the selectors. There were some weird JS issues that came from async behavior that needed to be fixed.

As we've seen, the browsers tests would have saved us lots of trouble because our "edge-to-edge" test only test the "PHP backend" behavior and not the interaction between templates, client-side JS and PHP backend. So maintenance of the browsers tests - especially when we're updating the HTML this year - is important.

gabriel-wmde moved this task from Doing to Review on the WMDE-Fun-Team board.Feb 7 2017, 2:10 PM
gabriel-wmde edited projects, added Epic; removed Story.
Pablo-WMDE closed this task as Resolved.Mon, Jun 26, 9:55 AM